Skip to main content
GET
Get Consumer Offer By Id

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

consumerOfferId
string<uuid>
required

Identifier of the consumer offer

Query Parameters

awaitStatus
enum<string>

Consumer offer status to wait for:

  • FULLY_CREATED: all entitlements have been created
  • FULLY_ACTIVE: all entitlements are active
  • FULLY_TERMINATED: all entitlements have been terminated
Available options:
FULLY_CREATED,
FULLY_ACTIVE,
FULLY_TERMINATED
timeout
string

How long you wish to wait for the response. ISO 8601 duration format, between 1 and 10 seconds e.g. PT10S

Response

Ok

Consumer offer in a get response.

consumerOffer
ConsumerOfferDetail · object
required

Consumer offer detail

entitlements
Entitlement · object[]
required

Entitlements created under this consumer offer.